[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| SkeletonOptions Struct Reference Distance Transform |

Option object for skeletonizeImage() More...

`#include <vigra/skeleton.hxx>`

## Public Member Functions
SkeletonOptions & | dontPrune ()
| return the un-pruned skeletong
SkeletonOptions & | pruneCenterLine ()
| return only the region's center line (i.e. skeleton graph diameter)
SkeletonOptions & | pruneLength (double threshold, bool preserve_topology=true)
| prune skeleton segments whose length is below the given threshold More...
SkeletonOptions & | pruneLengthRelative (double threshold, bool preserve_topology=true)
| prune skeleton segments whose relative length is below the given threshold More...
SkeletonOptions & | pruneSalience (double threshold, bool preserve_topology=true)
| prune skeleton segments whose salience is below the given threshold More...
SkeletonOptions & | pruneSalienceRelative (double threshold, bool preserve_topology=true)
| prune skeleton segments whose relative salience is below the given threshold More...
SkeletonOptions & | pruneTopology (bool preserve_center=true)
| prune such that only the topology is preserved More...
SkeletonOptions & | returnLength ()
| Don't prune and return the length of each skeleton segment.
SkeletonOptions & | returnSalience ()
| Don't prune and return the salience of each skeleton segment.
| SkeletonOptions ()
| construct with default settings More...

## Detailed Description

Option object for skeletonizeImage()

## Constructor & Destructor Documentation

SkeletonOptions | ( |  | ) |

construct with default settings

(default: `pruneSalienceRelative(0.2, true)`)

## Member Function Documentation

SkeletonOptions& pruneLength | ( | double | threshold,
|  | bool | preserve_topology = `true`
| ) |  |

prune skeleton segments whose length is below the given threshold

If preserve_topology is `true` (default), skeleton loops (i.e. parts enclosing a hole in the region) are preserved even if their length is below the threshold. Otherwise, loops are pruned as well.

SkeletonOptions& pruneLengthRelative | ( | double | threshold,
|  | bool | preserve_topology = `true`
| ) |  |

prune skeleton segments whose relative length is below the given threshold

This works like `pruneLength()`, but the threshold is specified as a fraction of the maximum segment length in the skeleton.

SkeletonOptions& pruneSalience | ( | double | threshold,
|  | bool | preserve_topology = `true`
| ) |  |

prune skeleton segments whose salience is below the given threshold

If preserve_topology is `true` (default), skeleton loops (i.e. parts enclosing a hole in the region) are preserved even if their salience is below the threshold. Otherwise, loops are pruned as well.

SkeletonOptions& pruneSalienceRelative | ( | double | threshold,
|  | bool | preserve_topology = `true`
| ) |  |

prune skeleton segments whose relative salience is below the given threshold

This works like `pruneSalience()`, but the threshold is specified as a fraction of the maximum segment salience in the skeleton.

SkeletonOptions& pruneTopology | ( | bool | preserve_center = `true` | ) |

prune such that only the topology is preserved

If preserve_center is `true` (default), the eccentricity center of the skeleton will not be pruned, even if it is not essential for the topology. Otherwise, the center is only preserved if it is essential. The center is always preserved (and is the only remaining point) when the region has no holes.

The documentation for this struct was generated from the following file:

- vigra/skeleton.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0 (Fri May 19 2017)